Bug 74205 - redhat-config-samba will fail.
redhat-config-samba will fail.
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-samba (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-17 17:12 EDT by Ivo Sarak
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-30 16:17:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2002-09-17 17:12:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When to run redhat-config-samba it will fail.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
run redhat-config-samba as root.

Actual Results:  [root@haskaa root]# redhat-config-samba
Traceback (most recent call last):
  File "/usr/share/redhat-config-samba/redhat-config-samba.py", line 14, in ?
    mainWindow.MainWindow(debug_flag)
  File "/usr/share/redhat-config-samba/mainWindow.py", line 42, in __init__
    self.samba_data = sambaParser.SambaData(self)
  File "/usr/share/redhat-config-samba/sambaParser.py", line 23, in __init__
    self.parseFile()
  File "/usr/share/redhat-config-samba/sambaParser.py", line 51, in parseFile
    token = self.createToken(line)
  File "/usr/share/redhat-config-samba/sambaParser.py", line 120, in createToken
    token = sambaToken.SambaToken(sambaToken.SambaToken.SAMBA_TOKEN_KEYVAL,
(name, value), self.parent)
  File "/usr/share/redhat-config-samba/sambaToken.py", line 18, in __init__
    raise AttributeError, value
AttributeError: ('public', 'yes')
[root@haskaa root]#


Expected Results:  Some samba configuration menus, maybe?

Additional info:
Comment 1 Brent Fox 2002-09-30 16:17:09 EDT
redhat-config-samba was removed from 8.0, but will appear in a future release.
Comment 2 Brent Fox 2002-12-10 11:56:50 EST
Should be fixed in redhat-config-samba-1.0.0-2.

Note You need to log in before you can comment on or make changes to this bug.